Anti-Virus/File System Filter testing overview

The test procedures are divided into a testing overview topic, a preparing for testing topic, and test description and running topics for each test.

The testing overview topics include links to detailed descriptions of all required tests , hardware requirements, software requirements, and tester knowledge requirements. The preparing for testing topics include specific instructions for configuring the test system for testing. The test description topics describe the function and purpose of the test. The running the test topics include instructions for running the HCT tools.

Before you begin testing, read Preparing for anti-virus/file system filter testing for instructions on setting up the test system.

Click to show or hide information. Manual Tests

  • ACPI Stress - Device I/O (Extended)
  • ChkINF test
  • Driver Verifier
  • Enable/Disable - Device I/O (AntiVirus)
  • I/O Stress with Anti-virus Scenario
  • I/O Stress
  • Installable File System
  • Installable File System with Anti-Virus Scenario
  • Public Import
  • Signability
  • Surprise Removal

Test suite run time: Approximately 5 days

Click to show or hide information. Hardware requirements

The following hardware is required to run the Anti-Virus/File System Filter HCT kit.

  • One test system with the following:
  • 128 MB of RAM
  • Floppy disk drive
  • External removable media USB drive (zip drive)
  • CD-ROM drive
  • Network adapter
  • One monitor, one keyboard, and one mouse (or any pointing/drawing device)

Important: The test system must be included on the Microsoft Windows Hardware Quality List (HCL). The test system must also support sleep states S0-S3.

Click to show or hide information. Software requirements

The following software is required to run the AVFSF HCT kit.

  • Any drivers that do not ship with Windows XP
  • Windows XP operating system
  • The final release of the Windows XP HCT 10.0 from the WHQL test kits order page. You can also order the Windows XP HCT 10.0 CD from the Microsoft Developer’s Network (MSDN) Web site.

Click to show or hide information. Tester knowledge requirements

To run the HCT for Anti-Virus/File System Filter drivers, testers must know how to do the following tasks:

  • Partition a hard disk drive.
  • Set up workgroups.
  • Assign privileges to workgroups.
  • Create users.
  • Add registry values.
  • Install Windows XP operating system from the product CD.

Related links

Chapter 21: Anti-Virus/File System Filter Test Specification
Chapter 22: Driver Quality Test Specification
Preparing the test system for Anti-Virus/File System Filter testing

Microsoft Windows HCL


Preparing for anti-virus/file system filter testing

Before running anti-virus/file system filter tests, you must configure the system and install the Windows XP operating system. This section summarizes the related requirements and procedures.

For a complete list of hardware, software, and tester knowledge requirements, see Anti-Virus/File System Filter testing overview

Test system configuration

The HCT kit requires the following to prepare the test system for AV/FSF testing for the Windows XP operating system:

To configure the test system for AV/FSF testing

  1. Partition the hard disk with the following partitions:
  • One FAT32 formatted boot partition, minimum 4 GB, designated as C:\
  • One NTFS formatted partition, minimum 2 GB (without compression enabled), designated as D:\
  • One NTFS formatted partition, minimum 2 GB (with compression enabled), designated as E:\
  • One FAT16 formatted partition, minimum 2 GB, designated as F:\.
  • One FAT32 formatted partition, minimum 2 GB, designated as G:\.
  2. Set up the system in a workgroup, not a domain, so users can set privileges and add users with a known password.

Set the following permissions for the Local Administrator user group:

  • Act as part of the operating system.
  • Create a token object.
  • Replace a process-level token.
  • Increase quotas.

Note: Run the AV/FSF Kit from an account in the Local Administrators group.

  3. From the Local Users and Groups menu, create a group, where:
  • The group name is ifschild
  4. Add ifstest as a user to the ifschild and the Users group, and then set the user password to ifstest.

The user is not required to change the password when logging on.

  5. From the Start menu, select Run, and then type \hct\testbin\setaudit.exe.
  6. From the Start menu, select Run, and then type \hct\testbin\setpermissions.exe.
  7. In Administrative Tools, click Local Security Policy, click Local Policies, and then click Audit Policy.

The Local Security Settings window appears.

  8. Double-click Audit object access.
  9. In Audit object access properties, select Success and Failure, and then click OK.
  10. Click User Rights Assignment.
  11. Double-click Create a token object.
  12. In Create a token object properties, click Add.
  13. In Select Users or Groups, type Administrators, and then press ENTER.
  14. In Create a token object properties, click Add.
  15. In Select Users or Groups, type Ifschild, and then press ENTER.
  16. Click OK.
  17. Double-click Replace a process level token.
  18. In Replace a process level token Properties, click Add.
  19. In Select Users or Groups, type Administrators, and then press ENTER.
  20. In Replace a process level token Properties, click Add.
  21. In Select Users or Groups, type Ifschild, and then press ENTER.
  22. Click OK.
  23. Double-click Act as part of the operating system.
  24. In Act as part of the operating system Properties, click Add.
  25. In Select Users or Groups, type Administrators, and then press ENTER.
  26. In Act as part of the operating system Properties, click Add.
  27. In Select Users or Groups, type Ifschild, and then press ENTER.
  28. Click OK.
  29. Close the Local Security Settings window.
  30. Set the registry key HKLM\System\CurrentControlSet\Control\FileSystem\NtfsQuotaNotifyRate to 1
  31. Reboot the test system for policy and registry changes to go into effect.,


I/O Stress with Anti-virus Scenario test

This test stresses the I/O subsystem and launches driver verifier from within the stress engine.

Note: Verify that the anti-virus application is scanning and is set to delete, or quarantine virus files.

Run Time: 80 hours

Log file name: iostressrun.log

Operating system: Windows XP

Test assertion: Chapter 22

Related links

Running the I/O Stress with Anti-virus Scenario test


Installable File System test

This test verifies that the filter system filter driver complies with the Windows XP file system semantics.

Note: Verify that the anti-virus application is scanning and is set to delete, or quarantine virus files.

Run Time: 1-2 hours

Log file name: ifstest.log

Operating system: Windows XP

Test assertion: Chapter 21

Related links

Running the Installable File System test


Installable File System with Anti-Virus Scenario test

This test verifies that the filter system filter driver complies with the Windows XP file system semantics.

Note: Verify that the anti-virus application is scanning and is set to delete, or quarantine virus files.

Run Time: 1-2 hours

Log file name: ifstest-av.log

Operating system: Windows XP

Test assertion: Chapter 21

Related links

Running the Installable File System with Anti-Virus Scenario test


I/O Stress test

This test stresses the I/O subsystem and launches driver verifier from within the stress engine.

Note: Verify that the anti-virus application is scanning and is set to delete, or quarantine virus files.

Run Time: 80 hours

Log file name: iostressrun-av.log

Operating system: Windows XP

Test assertion: Chapter 22

Related links

Running the I/O Stress test


Running the Installable File System with Anti-Virus Scenario test

To run the Installable File System with Anti-Virus Scenario test

  1. Start Test Manager
  2. In the Test Manager window in the Available Tests for Selected Test Category pane, select Installable File System with Anti-Virus Scenario, and then click Add Selection.
  3. Click Start Tests.
  4. When the test is completed, view test log files.
  5. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the I/O Stress with Anti-virus Scenario test

To run the I/O Stress with Anti-virus Scenario test

  1. Start Test Manager
  2. In the Test Manager window in the Available Tests for Selected Test Category pane, select I/O Stress with Anti-virus Scenario test, and then click Add Selection.
  3. Click Start Tests.

The I/O Stress dialog box appears.

  4. Click the System Settings tab, and click Preferred Settings for Stress.
  5. Click the Registration and Verifier tab.
  6. In the Verify Drivers text box, type the driver file names.

Note: For more than one file name, separate each file name with a comma (,).

  7. Click Preferred Settings to turn on the settings for the specified drivers.
  8. Click the Stress Tests tab, and click Run.

The I/O Stress test automatically selects a random number of files to run the tests on. The I/O Stress statistics window appears in the upper right corner of the screen.

Note: The system will reboot at the end of the test.

  9. After 72 hours, from the Windows desktop, click Start, select Programs, select HCT, and then click Test Manager Restart.

The Test Results window appears.

  10. When the test is completed, view test log files.
  11. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the Installable File System test

  1. Start Test Manager
  2. In the Test Manager window in the Available Tests for Selected Test Category pane, select Installable File System, and then click Add Selection.
  3. Click Start Tests.
  4. When the test is completed, view test log files.
  5. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the I/O Stress test

To run the I/O Stress test

  1. Start Test Manager
  2. In the Test Manager window in the Available Tests for Selected Test Category pane, select I/O Stress with Anti-virus Scenario test, and then click Add Selection.
  3. Click Start Tests.

The I/O Stress dialog box appears.

  4. Click the System Settings tab, and click Preferred Settings for Stress.
  5. Click the Registration and Verifier tab.
  6. In the Verify Drivers text box, type the driver file names.

Note: For more than one file name, separate each file name with a comma (,).

  7. Click Preferred Settings to turn on the settings for the specified drivers.
  8. Click the Stress Tests tab, and click Run.

The I/O Stress test automatically selects a random number of files to run the tests on. The I/O Stress statistics window appears in the upper right corner of the screen.

Note: The system will reboot at the end of the test.

  9. After 72 hours, from the Windows desktop, click Start, select Programs, select HCT, and then click Test Manager Restart.

The Test Results window appears.

  10. When the test is completed, view test log files.
  11. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Warning

HCT 10.0 - Anti-Virus/File System Filter

Important

This file is only a component of the Whistler Hardware Compatibility Test (HCT) Help system, and is not intended to be used as a stand-alone file.

Instead, use the HCThelp.chm file for information on the Microsoft Windows Logo Program for Hardware, testing hardware and drivers with the HCT, and installing and running the HCT.